html = """<!DOCTYPE html>
<html>
    <head><title>Stacja Meteorologiczna</title></head>
    <body>
        <h1> Stacja Meteorologiczna </h1>
        <p> Temperatura: {} </p>
        <p> Cisnienie: {} </p>
        <p> Wilgotnosc: {}% </p>
    </body>
</html>
"""

NAZWA_SIECI = 'DLINK'
HASLO = '12345678'

import network
wifi = network.WLAN(network.STA_IF)
wifi.active(True)
wifi.connect(NAZWA_SIECI, HASLO)
print('Connected to: ', wifi.ifconfig()[0])

import socket
addr = socket.getaddrinfo('0.0.0.0', 80)[0][-1]
s = socket.socket()
try:
    s.bind(addr)
except OSError as err:
    print("Błąd sieci. Wyłącz i spróbuj ponownie")
    raise err
s.listen(1)

import weather

while True:
    w, t, c = weather.measure()
    content = html.format(t, c, w)

    conn,addr = s.accept()
    conn.send('HTTP/1.0 200 OK\r\nContent-type: text/html\r\n\r\n')
    conn.send(content)
    conn.close()
